06d7be056190c14b85e71bc12523f18ea6815b5e
markd
  Mon Dec 7 00:50:29 2020 -0800
BLAT mmap index support merge with master

diff --git src/hg/utils/otto/sarscov2phylo/updateSarsCov2Phylo.sh src/hg/utils/otto/sarscov2phylo/updateSarsCov2Phylo.sh
new file mode 100755
index 0000000..76ce0cc
--- /dev/null
+++ src/hg/utils/otto/sarscov2phylo/updateSarsCov2Phylo.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -beEu -x -o pipefail
+
+#	Do not modify this script, modify the source tree copy:
+#	kent/src/hg/utils/otto/sarscov2phylo/updateSarsCov2Phylo.sh
+
+usage() {
+    echo "usage: $0 releaseLabel metadata_date.tsv.gz sequences_date.fasta.gz epiToPublicAndDate.date"
+}
+
+if [ $# != 4 ]; then
+  usage
+  exit 1
+fi
+
+releaseLabel=$1
+nextmeta=$2
+nextfasta=$3
+epiToPublic=$4
+
+scriptDir=$(dirname "${BASH_SOURCE[0]}")
+ottoDir=/hive/data/outside/otto/sarscov2phylo
+problematicSitesVcf=/hive/data/genomes/wuhCor1/bed/problematicSites/20-08-26/problematic_sites_sarsCov2.vcf
+genbankFa=$ottoDir/ncbi.latest/genbank.fa.xz
+cogUkFa=$ottoDir/cogUk.latest/cog_all.fasta.xz
+cncbFa=$ottoDir/cncb.latest/cncb.nonGenBank.fasta
+
+mkdir -p $ottoDir/$releaseLabel
+cd $ottoDir/$releaseLabel
+
+$scriptDir/getRelease.sh $releaseLabel $nextmeta $nextfasta >& getRelease.log
+
+$scriptDir/processRelease.sh $releaseLabel $problematicSitesVcf >& processRelease.log
+
+$scriptDir/mapPublic.sh $releaseLabel $problematicSitesVcf $epiToPublic >& mapPublic.log
+
+$scriptDir/extractUnmappedPublic.sh $epiToPublic $genbankFa $cogUkFa $cncbFa \
+    >& extractUnmappedPublic.log
+
+$scriptDir/addUnmappedPublic.sh $releaseLabel >& addUnmappedPublic.log